Bug 1148570 - Tracked logged 2.7M of my private data into system journal
Summary: Tracked logged 2.7M of my private data into system journal
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 22
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1176675 1176678 1212511 (view as bug list)
Depends On:
Blocks: 1207653
TreeView+ depends on / blocked
 
Reported: 2014-10-01 18:29 UTC by Lubomir Rintel
Modified: 2016-07-19 20:19 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1207653 (view as bug list)
Environment:
Last Closed: 2016-07-19 20:19:00 UTC
Type: Bug


Attachments (Terms of Use)
Tracker log (1.91 MB, text/plain)
2014-10-01 18:29 UTC, Lubomir Rintel
no flags Details
output of journactl -b (3.89 MB, text/plain)
2014-12-04 12:12 UTC, zachw
no flags Details
first pdf file that gets written to the log (287.84 KB, application/pdf)
2014-12-04 12:13 UTC, zachw
no flags Details
another file that got written to the log (1.61 MB, application/pdf)
2014-12-04 12:16 UTC, zachw
no flags Details
change g_warning to g_debug (430 bytes, patch)
2014-12-04 14:09 UTC, zachw
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 735406 0 None None None Never

Description Lubomir Rintel 2014-10-01 18:29:15 UTC
Created attachment 943181 [details]
Tracker log

Description of problem:

Tracker logged loads of my private documents into journal. That includes my 
notes with sensitive data, my travel tickets and Mastodon concert tickets I 
would prefer not to share, and books on Christian ethics I won't want anyone to
know I'm reading.

Version-Release number of selected component (if applicable):

tracker

How reproducible:

No idea.

Actual results:

Attached (very sensitive stuff ommitted).

Comment 1 Gene Czarcinski 2014-11-18 15:24:51 UTC
Running Fedora 21 TC2+updates, this dumping of tracker crap into the journal is taking place ... for the same documents.  Something is broken.  I see no reason forthis to be happening.

Comment 2 Debarshi Ray 2014-12-04 11:02:12 UTC
Could you please send me one of the files that is triggering this? These are caused by a bug in on of tracker's extractors that is being hit by a file on your disk.

Comment 3 zachw 2014-12-04 12:12:23 UTC
Created attachment 964593 [details]
output of journactl -b

Comment 4 zachw 2014-12-04 12:13:55 UTC
Created attachment 964594 [details]
first pdf file that gets written to the log

Comment 5 zachw 2014-12-04 12:16:03 UTC
Created attachment 964595 [details]
another file that got written to the log

Comment 6 zachw 2014-12-04 12:22:51 UTC
I've attached my journal and a couple of the source pdf files, I hope that helps and I haven't inadvertently disclosed something embarrassing in there. 

NOTE: whatever is causing tracker a problem is not the main issue, the main issue is the giant spew of data into the log.

Comment 7 zachw 2014-12-04 14:09:00 UTC
Created attachment 964680 [details]
change g_warning to g_debug

Comment 8 Debarshi Ray 2014-12-04 14:43:35 UTC
(In reply to zachw from comment #6)
> NOTE: whatever is causing tracker a problem is not the main issue, the main
> issue is the giant spew of data into the log.

Please follow/join the discussion in the upstream bug.

Comment 9 Debarshi Ray 2014-12-04 15:31:08 UTC
What version of tracker are you using? I have tracker-1.2.4-3.fc21.x86_64 and neither of those two files are causing anything to be written to the logs.

Comment 10 zachw 2014-12-05 07:22:56 UTC
Same as you (1.2.4-3.fc21), also I went from fedora 20 to 21 beta via fedup.

Comment 11 Debarshi Ray 2015-01-05 13:04:47 UTC
*** Bug 1176675 has been marked as a duplicate of this bug. ***

Comment 12 Debarshi Ray 2015-01-05 13:04:49 UTC
*** Bug 1176678 has been marked as a duplicate of this bug. ***

Comment 13 Igor Gnatenko 2015-01-10 21:11:37 UTC
*** Bug 1180824 has been marked as a duplicate of this bug. ***

Comment 14 Fedora Update System 2015-01-13 16:34:43 UTC
tracker-1.2.5-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tracker-1.2.5-2.fc21

Comment 15 Fedora Update System 2015-01-17 05:40:56 UTC
tracker-1.2.5-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Jaroslav Reznik 2015-03-03 17:15:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 17 Debarshi Ray 2015-04-17 08:34:41 UTC
*** Bug 1212511 has been marked as a duplicate of this bug. ***

Comment 18 Philip Whitehouse 2015-08-22 13:10:20 UTC
Aug 22 13:46:30 philip-pc gnome-session: (tracker-extract:4241): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/philip/Downloads/q2/Install/Data/baseq2/players/male/claymore_i.pcx) failed: Could not determine type of stream.
Aug 22 13:46:30 philip-pc gnome-session: (tracker-extract:4241): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/philip/Downloads/q2/Install/Data/baseq2/players/male/claymore.pcx) failed: Could not determine type of stream.
Aug 22 13:46:30 philip-pc gnome-session: (tracker-extract:4241): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/philip/Downloads/q2/Install/Data/baseq2/players/male/cipher_i.pcx) failed: Could not determine type of stream.
Aug 22 13:46:30 philip-pc gnome-session: (tracker-extract:4241): Tracker-WARNING **: Call to gst_discoverer_discover_uri(file:///home/philip/Downloads/q2/Install/Data/baseq2/players/male/cipher.pcx) failed: Could not determine type of stream.

Failing to discover the type of a random game data file:

tracker.x86_64 v1.4.1-1.fc22

Comment 19 Fedora End Of Life 2016-07-19 20:19:00 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.